<?php
include_once("imports.php");
    class XMLProcessor {
    	
		private $fileName = "content.xml";
    	
		public function __construct(){
	  
	}
		
		public function write($contentArray){
			  $contents = $contentArray;
			  $doc = new DOMDocument(); 
			  $doc->formatOutput = true; 
			  //$doc->load($this->fileName); 
			  $main = $doc->createElement("inputs");
			  foreach($contents as $content){
			  	$con = new Item();
			    $con = $content;
				$input = $doc->createElement("input");
					$id = $doc->createElement("id",$con->getId());
					$text = $doc->createElement("text",$con->getText());
				$input->appendChild($id);
				$input->appendChild($text);
			    $main->appendChild($input);
			  }
			  $doc->appendChild($main);
			  $doc->save($this->fileName);
			  
			  
			
		}
		
		//read xml file into an object array.
		public function read(){
			$contents = array();
			$doc = new DOMDocument(); 
			$doc->load($this->fileName); 
			$inputs = $doc->getElementsByTagName( "input" ); 
			foreach( $inputs as $input ) 
			{
			  $content = new Item(); 
			  $ids = $input->getElementsByTagName( "id" ); 
			  $id = $ids->item(0)->nodeValue; 
			  $content->setId($id);
			  $texts= $input->getElementsByTagName( "text" ); 
			  $text= $texts->item(0)->nodeValue; 
			  $content->setText($text);
			  array_push($contents, $content);
			   
			  } 
			return $contents;
		}
		
		public function getByID($id){
			$items = $this->read();
			$foundItem = new Item();
			foreach($items as $item){
				if($item->getId() == $id){
					$foundItem = $item;
				}
			}
			return $foundItem;
		}
		
		//Delete item from content file
		public function deleteItem($id){
			$allItems = $this->read();
			for($i = 0; $i < count($allItems);$i++){
				$item = new Item();
				$item = $allItems[$i];
				if($item->getId() == $id){
					unset($allItems[$i]);
				}
			}
			$this->write($allItems);
		}
		
		
    }
?>