<?php
	include_once("imports.php");
	
	class XMLProcessorTest extends PHPUnit_Framework_TestCase{
		
		var $processor;
		
		function XMLProcessorTest(){
			$this->processor = new XMLProcessor();
		}
		
		function testWrite(){
			$testItem = new Item();
			$testItem->setId(333);
			$testItem->setText("test");
			$testArr = array($testItem);
			$this->processor->write($testArr);
			$resultItem = $this->processor->getByID(333);
			$this->assertEquals($resultItem->getId(), 333);
			$this->assertEquals($resultItem->getText(), "test");
			
		}
		function testRead(){
			$testArr = $this->processor->read();
			$this->assertGreaterThanOrEqual(count($testArr),1);
			$testItem = $testArr[0];
			$this->assertNotNull($testItem);
		}
		
		function testDeleteItem(){
			$testId = 333;
			$this->processor->deleteItem($testId);
			$resultItem = $this->processor->getByID($testId);
			if($resultItem->getId() != 333){
				$this->assertTrue(true);
			}
			else {
				$this->assertTrue(false);
			}
		}
	}

?>